VERSION 5.00
Begin VB.Form frmDummyChild 
   ClientHeight    =   1830
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3315
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MDIChild        =   -1  'True
   ScaleHeight     =   122
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   221
   Begin VB.PictureBox picTile 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      Height          =   945
      Left            =   180
      ScaleHeight     =   59
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   81
      TabIndex        =   0
      Top             =   90
      Visible         =   0   'False
      Width           =   1275
   End
   Begin VB.PictureBox picBgd 
      AutoRedraw      =   -1  'True
      Height          =   1515
      Left            =   90
      ScaleHeight     =   97
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   171
      TabIndex        =   1
      Top             =   30
      Visible         =   0   'False
      Width           =   2625
   End
End
Attribute VB_Name = "frmDummyChild"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' TileMDI_Child.frm
'
' By Herman Liu
'
' See comment in TileMDI_MDI.frm

Option Explicit

Private Declare Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal x As Long, _
    ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, _
    ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long
    

Private Sub Form_Load()
    Me.ScaleMode = vbPixels
    Me.WindowState = vbMinimized
End Sub


Sub TileMDI(index As Integer)
    On Error Resume Next
    Dim w1 As Single, h1 As Single, w2 As Single, h2 As Single
    Dim i, j

       ' Load a tile file
    Select Case index
       Case 0
           picTile.Picture = LoadPicture(App.Path & "\Rivets.bmp")
       Case 1
           picTile.Picture = LoadPicture(App.Path & "\Squares.bmp")
       Case 2
           picTile.Picture = LoadPicture(App.Path & "\Thatch.bmp")
    End Select
    
    w1 = picTile.ScaleWidth:  h1 = picTile.ScaleHeight
    
    scalePicBgd
    w2 = picBgd.ScaleWidth:   h2 = picBgd.ScaleHeight
    
    For i = 0 To w2 Step w1
        For j = 0 To h2 Step h1
            BitBlt picBgd.hdc, i, j, w1, h1, picTile.hdc, 0, 0, vbSrcCopy
        Next j
    Next i
    
    frmTileMDI_MDI.Picture = picBgd.Image
    picTile.Picture = LoadPicture
End Sub



Private Sub scalePicBgd()
    Dim w, h
      ' Here assume a 800x600 screen
    w = 800: h = 600
    picBgd.Width = picBgd.Width - picBgd.ScaleWidth + w
    picBgd.Height = picBgd.Height - picBgd.ScaleHeight + h
End Sub

